{
    "fields": [
        {
            "name": "chromosome",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "start",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "name": "end",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "name": "reference",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "alternate",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "ancestralAllele",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "id",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "xrefs",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "id",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "source",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "Xref",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "hgvs",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "displayConsequenceType",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": [],
            "name": "consequenceTypes",
            "type": {
                "items": {
                    "fields": [
                        {
                            "name": "geneName",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "ensemblGeneId",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "ensemblTranscriptId",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "strand",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "biotype",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "exonOverlap",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "name": "number",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "percentage",
                                                "type": [
                                                    "null",
                                                    "float"
                                                ]
                                            }
                                        ],
                                        "name": "ExonOverlap",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "transcriptAnnotationFlags",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "transcriptFlags",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "cdnaPosition",
                            "type": [
                                "null",
                                "int"
                            ]
                        },
                        {
                            "name": "cdsPosition",
                            "type": [
                                "null",
                                "int"
                            ]
                        },
                        {
                            "name": "codon",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "proteinVariantAnnotation",
                            "type": [
                                "null",
                                {
                                    "fields": [
                                        {
                                            "default": null,
                                            "name": "uniprotAccession",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "default": null,
                                            "name": "uniprotName",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "position",
                                            "type": "int"
                                        },
                                        {
                                            "name": "reference",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "alternate",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "uniprotVariantId",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "functionalDescription",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "substitutionScores",
                                            "type": [
                                                "null",
                                                {
                                                    "items": {
                                                        "fields": [
                                                            {
                                                                "name": "score",
                                                                "type": "double"
                                                            },
                                                            {
                                                                "name": "source",
                                                                "type": "string"
                                                            },
                                                            {
                                                                "name": "description",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            }
                                                        ],
                                                        "name": "Score",
                                                        "type": "record"
                                                    },
                                                    "type": "array"
                                                }
                                            ]
                                        },
                                        {
                                            "name": "keywords",
                                            "type": [
                                                "null",
                                                {
                                                    "items": "string",
                                                    "type": "array"
                                                }
                                            ]
                                        },
                                        {
                                            "name": "features",
                                            "type": [
                                                "null",
                                                {
                                                    "items": {
                                                        "fields": [
                                                            {
                                                                "name": "id",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            },
                                                            {
                                                                "name": "start",
                                                                "type": "int"
                                                            },
                                                            {
                                                                "name": "end",
                                                                "type": "int"
                                                            },
                                                            {
                                                                "name": "type",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            },
                                                            {
                                                                "name": "description",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            }
                                                        ],
                                                        "name": "ProteinFeature",
                                                        "type": "record"
                                                    },
                                                    "type": "array"
                                                }
                                            ]
                                        }
                                    ],
                                    "name": "ProteinVariantAnnotation",
                                    "type": "record"
                                }
                            ]
                        },
                        {
                            "name": "sequenceOntologyTerms",
                            "type": {
                                "items": {
                                    "fields": [
                                        {
                                            "name": "accession",
                                            "type": "string"
                                        },
                                        {
                                            "name": "name",
                                            "type": "string"
                                        }
                                    ],
                                    "name": "SequenceOntologyTerm",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        }
                    ],
                    "name": "ConsequenceType",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "name": "populationFrequencies",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "study",
                                "type": "string"
                            },
                            {
                                "name": "population",
                                "type": "string"
                            },
                            {
                                "name": "refAllele",
                                "type": "string"
                            },
                            {
                                "name": "altAllele",
                                "type": "string"
                            },
                            {
                                "name": "refAlleleFreq",
                                "type": "float"
                            },
                            {
                                "name": "altAlleleFreq",
                                "type": "float"
                            },
                            {
                                "name": "refHomGenotypeFreq",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            },
                            {
                                "name": "hetGenotypeFreq",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            },
                            {
                                "name": "altHomGenotypeFreq",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            }
                        ],
                        "name": "PopulationFrequency",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "minorAllele",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "minorAlleleFreq",
            "type": [
                "null",
                "float"
            ]
        },
        {
            "name": "conservation",
            "type": [
                "null",
                {
                    "items": "Score",
                    "type": "array"
                }
            ]
        },
        {
            "name": "geneExpression",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "geneName",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "transcriptId",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "experimentalFactor",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "factorValue",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "experimentId",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "technologyPlatform",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "expression",
                                "type": [
                                    "null",
                                    {
                                        "name": "ExpressionCall",
                                        "symbols": [
                                            "UP",
                                            "DOWN"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "name": "pvalue",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            }
                        ],
                        "name": "Expression",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "geneTraitAssociation",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "id",
                                "type": "string"
                            },
                            {
                                "name": "name",
                                "type": "string"
                            },
                            {
                                "name": "hpo",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "score",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            },
                            {
                                "name": "numberOfPubmeds",
                                "type": [
                                    "null",
                                    "int"
                                ]
                            },
                            {
                                "name": "associationTypes",
                                "type": [
                                    "null",
                                    {
                                        "items": "string",
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "sources",
                                "type": [
                                    "null",
                                    {
                                        "items": "string",
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "name": "source",
                                "type": "string"
                            }
                        ],
                        "name": "GeneTraitAssociation",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "geneDrugInteraction",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "geneName",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "drugName",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "source",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "studyType",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "type",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "GeneDrugInteraction",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "variantTraitAssociation",
            "type": [
                "null",
                {
                    "fields": [
                        {
                            "name": "clinvar",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "name": "accession",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "clinicalSignificance",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "traits",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "name": "geneNames",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "name": "reviewStatus",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            }
                                        ],
                                        "name": "ClinVar",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "gwas",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "name": "snpIdCurrent",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "traits",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "name": "riskAlleleFrequency",
                                                "type": [
                                                    "null",
                                                    "double"
                                                ]
                                            },
                                            {
                                                "name": "reportedGenes",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            }
                                        ],
                                        "name": "Gwas",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "cosmic",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "name": "mutationId",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "primarySite",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "siteSubtype",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "primaryHistology",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "histologySubtype",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "sampleSource",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "tumourOrigin",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "geneName",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "name": "mutationSomaticStatus",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            }
                                        ],
                                        "name": "Cosmic",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        }
                    ],
                    "name": "VariantTraitAssociation",
                    "type": "record"
                }
            ]
        },
        {
            "name": "traitAssociation",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "An entry for an evidence",
                        "fields": [
                            {
                                "doc": "Source of the evidence",
                                "name": "source",
                                "type": {
                                    "doc": "The source of an evidence.",
                                    "fields": [
                                        {
                                            "doc": "Name of source",
                                            "name": "name",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Version of source",
                                            "name": "version",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "The source date.",
                                            "name": "date",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        }
                                    ],
                                    "name": "EvidenceSource",
                                    "type": "record"
                                }
                            },
                            {
                                "default": [],
                                "doc": "The list of submissions",
                                "name": "submissions",
                                "type": {
                                    "items": {
                                        "doc": "The submission information",
                                        "fields": [
                                            {
                                                "doc": "The submitter",
                                                "name": "submitter",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "The submission date",
                                                "name": "date",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "The submission id",
                                                "name": "id",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            }
                                        ],
                                        "name": "EvidenceSubmission",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            },
                            {
                                "doc": "The somatic information",
                                "name": "somaticInformation",
                                "type": [
                                    "null",
                                    {
                                        "doc": "The somatic information.",
                                        "fields": [
                                            {
                                                "doc": "The primary site",
                                                "name": "primarySite",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "The primary site subtype",
                                                "name": "siteSubtype",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "The primary histology",
                                                "name": "primaryHistology",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "The histology subtype",
                                                "name": "histologySubtype",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "The tumour origin",
                                                "name": "tumourOrigin",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "The sample source, e.g. blood-bone marrow, cell-line, pancreatic",
                                                "name": "sampleSource",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            }
                                        ],
                                        "name": "SomaticInformation",
                                        "type": "record"
                                    }
                                ]
                            },
                            {
                                "doc": "URL of source if any",
                                "name": "url",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "ID of record in the source",
                                "name": "id",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "The reference genome assembly",
                                "name": "assembly",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "List of allele origins",
                                "name": "alleleOrigin",
                                "type": [
                                    "null",
                                    {
                                        "items": {
                                            "doc": "Variant origin.\n\n* `SO_0001781`: de novo variant. http://purl.obolibrary.org/obo/SO_0001781\n* `SO_0001778`: germline variant. http://purl.obolibrary.org/obo/SO_0001778\n* `SO_0001775`: maternal variant. http://purl.obolibrary.org/obo/SO_0001775\n* `SO_0001776`: paternal variant. http://purl.obolibrary.org/obo/SO_0001776\n* `SO_0001779`: pedigree specific variant. http://purl.obolibrary.org/obo/SO_0001779\n* `SO_0001780`: population specific variant. http://purl.obolibrary.org/obo/SO_0001780\n* `SO_0001777`: somatic variant. http://purl.obolibrary.org/obo/SO_0001777",
                                            "name": "AlleleOrigin",
                                            "symbols": [
                                                "de_novo_variant",
                                                "germline_variant",
                                                "maternal_variant",
                                                "paternal_variant",
                                                "pedigree_specific_variant",
                                                "population_specific_variant",
                                                "somatic_variant"
                                            ],
                                            "type": "enum"
                                        },
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "default": [],
                                "doc": "Heritable traits associated to this evidence",
                                "name": "heritableTraits",
                                "type": {
                                    "items": {
                                        "doc": "The entity representing a phenotype and its inheritance pattern.",
                                        "fields": [
                                            {
                                                "doc": "The trait (e.g.: HPO term, MIM term, DO term etc.)",
                                                "name": "trait",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "The mode of inheritance",
                                                "name": "inheritanceMode",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "An enumeration for the different mode of inheritances:\n\n* `monoallelic_not_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, not imprinted\n* `monoallelic_maternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, maternally imprinted (paternal allele expressed)\n* `monoallelic_paternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, paternally imprinted (maternal allele expressed)\n* `monoallelic`: MONOALLELIC, autosomal or pseudoautosomal, imprinted status unknown\n* `biallelic`: BIALLELIC, autosomal or pseudoautosomal\n* `monoallelic_and_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal\n* `monoallelic_and_more_severe_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal (but BIALLELIC mutations cause a more SEVERE disease form), autosomal or pseudoautosomal\n* `xlinked_biallelic`: X-LINKED: hemizygous mutation in males, biallelic mutations in females\n* `xlinked_monoallelic`: X linked: hemizygous mutation in males, monoallelic mutations in females may cause disease (may be less severe, later onset than males)\n* `mitochondrial`: MITOCHONDRIAL\n* `unknown`: Unknown\n* `NA`: Not applicable",
                                                        "name": "ModeOfInheritance",
                                                        "symbols": [
                                                            "monoallelic",
                                                            "monoallelic_not_imprinted",
                                                            "monoallelic_maternally_imprinted",
                                                            "monoallelic_paternally_imprinted",
                                                            "biallelic",
                                                            "monoallelic_and_biallelic",
                                                            "monoallelic_and_more_severe_biallelic",
                                                            "xlinked_biallelic",
                                                            "xlinked_monoallelic",
                                                            "mitochondrial",
                                                            "unknown",
                                                            "NA"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            }
                                        ],
                                        "name": "HeritableTrait",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            },
                            {
                                "default": [],
                                "doc": "The transcript to which the evidence refers",
                                "name": "genomicFeatures",
                                "type": {
                                    "items": {
                                        "doc": "The genomic feature",
                                        "fields": [
                                            {
                                                "doc": "Feature Type",
                                                "name": "featureType",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "The feature types",
                                                        "name": "FeatureTypes",
                                                        "symbols": [
                                                            "regulatory_region",
                                                            "gene",
                                                            "transcript",
                                                            "protein"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Feature used, this should be a feature ID from Ensembl, (i.e, ENST00000544455)",
                                                "name": "ensemblId",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Others IDs. Fields like the HGNC symbol if available should be added here",
                                                "name": "xrefs",
                                                "type": [
                                                    "null",
                                                    {
                                                        "type": "map",
                                                        "values": "string"
                                                    }
                                                ]
                                            }
                                        ],
                                        "name": "GenomicFeature",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            },
                            {
                                "doc": "The variant classification",
                                "name": "variantClassification",
                                "type": [
                                    "null",
                                    {
                                        "doc": "The variant classification according to different properties.",
                                        "fields": [
                                            {
                                                "doc": "The variant's clinical significance.",
                                                "name": "clinicalSignificance",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "Mendelian variants classification with ACMG terminology as defined in Richards, S. et al. (2015). Standards and\n        guidelines for the interpretation of sequence variants: a joint consensus recommendation of the American College\n        of Medical Genetics and Genomics and the Association for Molecular Pathology. Genetics in Medicine, 17(5),\n        405\u2013423. https://doi.org/10.1038/gim.2015.30.\n\n    Classification for pharmacogenomic variants, variants associated to\n    disease and somatic variants based on the ACMG recommendations and ClinVar classification\n    (https://www.ncbi.nlm.nih.gov/clinvar/docs/clinsig/).\n\n* `benign_variant` : Benign variants interpreted for Mendelian disorders\n* `likely_benign_variant` : Likely benign variants interpreted for Mendelian disorders with a certainty of at least 90%\n* `pathogenic_variant` : Pathogenic variants interpreted for Mendelian disorders\n* `likely_pathogenic_variant` : Likely pathogenic variants interpreted for Mendelian disorders with a certainty of at\nleast 90%\n* `uncertain_significance` : Uncertain significance variants interpreted for Mendelian disorders. Variants with\nconflicting evidences should be classified as uncertain_significance",
                                                        "name": "ClinicalSignificance",
                                                        "symbols": [
                                                            "benign",
                                                            "likely_benign",
                                                            "VUS",
                                                            "likely_pathogenic",
                                                            "pathogenic",
                                                            "uncertain_significance"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "The variant's pharmacogenomics classification.",
                                                "name": "drugResponseClassification",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "Pharmacogenomics drug response variant classification\n* `responsive` : A variant that confers response to a treatment\n* `resistant` : A variant that confers resistance to a treatment\n* `toxicity` : A variant that is associated with drug-induced toxicity\n* `indication` : A variant that is required in order for a particular drug to be prescribed\n* `contraindication` : A variant that if present, a particular drug should not be prescribed\n* `dosing` : A variant that results in an alteration in dosing of a particular drug in order to achieve INR, reduce toxicity or increase efficacy\n* `increased_monitoring` : increase vigilance or increased dosage monitoring may be required for a patient with this variant to look for signs of adverse drug reactions\n* `efficacy` : a variant that affects the efficacy of the treatment",
                                                        "name": "DrugResponseClassification",
                                                        "symbols": [
                                                            "responsive",
                                                            "resistant",
                                                            "toxicity",
                                                            "indication",
                                                            "contraindication",
                                                            "dosing",
                                                            "increased_monitoring",
                                                            "efficacy"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "The variant's trait association.",
                                                "name": "traitAssociation",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "Association of variants to a given trait.\n* `established_risk_allele` : Established risk allele for variants associated to disease\n* `likely_risk_allele` : Likely risk allele for variants associated to disease\n* `uncertain_risk_allele` : Uncertain risk allele for variants associated to disease\n* `protective` : Protective allele",
                                                        "name": "TraitAssociation",
                                                        "symbols": [
                                                            "established_risk_allele",
                                                            "likely_risk_allele",
                                                            "uncertain_risk_allele",
                                                            "protective"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "The variant's tumorigenesis classification.",
                                                "name": "tumorigenesisClassification",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "Variant classification according to its relation to cancer aetiology.\n* `driver` : Driver variants\n* `passenger` : Passenger variants\n* `modifier` : Modifier variants",
                                                        "name": "TumorigenesisClassification",
                                                        "symbols": [
                                                            "driver",
                                                            "passenger",
                                                            "modifier"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "The variant functional effect",
                                                "name": "functionalEffect",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "Variant effect with Sequence Ontology terms.\n\n* `SO_0002052`: dominant_negative_variant (http://purl.obolibrary.org/obo/SO_0002052)\n* `SO_0002053`: gain_of_function_variant (http://purl.obolibrary.org/obo/SO_0002053)\n* `SO_0001773`: lethal_variant (http://purl.obolibrary.org/obo/SO_0001773)\n* `SO_0002054`: loss_of_function_variant (http://purl.obolibrary.org/obo/SO_0002054)\n* `SO_0001786`: loss_of_heterozygosity (http://purl.obolibrary.org/obo/SO_0001786)\n* `SO_0002055`: null_variant (http://purl.obolibrary.org/obo/SO_0002055)",
                                                        "name": "VariantFunctionalEffect",
                                                        "symbols": [
                                                            "dominant_negative_variant",
                                                            "gain_of_function_variant",
                                                            "lethal_variant",
                                                            "loss_of_function_variant",
                                                            "loss_of_heterozygosity",
                                                            "null_variant"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            }
                                        ],
                                        "name": "VariantClassification",
                                        "type": "record"
                                    }
                                ]
                            },
                            {
                                "doc": "Impact of evidence. Should be coherent with the classification of impact if provided.",
                                "name": "impact",
                                "type": [
                                    "null",
                                    {
                                        "doc": "Evidence of pathogenicity and benign impact as defined in Richards, S. et al. (2015). Standards and guidelines for the interpretation\n    of sequence variants: a joint consensus recommendation of the American College of Medical Genetics and Genomics and\n    the Association for Molecular Pathology. Genetics in Medicine, 17(5), 405\u2013423. https://doi.org/10.1038/gim.2015.30\n\nEvidence of pathogenicity:\n* `very_strong`:\n    - PVS1 null variant (nonsense, frameshift, canonical \u00b11 or 2 splice sites, initiation codon, single or multiexon\n    deletion) in a gene where LOF is a known mechanism of disease\n* `strong`:\n    - PS1 Same amino acid change as a previously established pathogenic variant regardless of nucleotide change\n    - PS2 De novo (both maternity and paternity confirmed) in a patient with the disease and no family history\n    - PS3 Well-established in vitro or in vivo functional studies supportive of a damaging effect on the gene or gene\n    product\n    - PS4 The prevalence of the variant in affected individuals is significantly increased compared with the prevalence\n    in controls\n* `moderate`:\n    - PM1 Located in a mutational hot spot and/or critical and well-established functional domain (e.g., active site of\n    an enzyme) without benign variation\n    - PM2 Absent from controls (or at extremely low frequency if recessive) in Exome Sequencing Project, 1000 Genomes\n    Project, or Exome Aggregation Consortium\n    - PM3 For recessive disorders, detected in trans with a pathogenic variant\n    - PM4 Protein length changes as a result of in-frame deletions/insertions in a nonrepeat region or stop-loss\n    variants\n    - PM5 Novel missense change at an amino acid residue where a different missense change determined to be pathogenic\n    has been seen before\n    - PM6 Assumed de novo, but without confirmation of paternity and maternity\n* `supporting`:\n    - PP1 Cosegregation with disease in multiple affected family members in a gene definitively known to cause the\n    disease\n    - PP2 Missense variant in a gene that has a low rate of benign missense variation and in which missense variants are\n    a common mechanism of disease\n    - PP3 Multiple lines of computational evidence support a deleterious effect on the gene or gene product\n    (conservation, evolutionary, splicing impact, etc.)\n    - PP4 Patient\u2019s phenotype or family history is highly specific for a disease with a single genetic etiology\n    - PP5 Reputable source recently reports variant as pathogenic, but the evidence is not available to the laboratory\n    to perform an independent evaluation\n\nEvidence of benign impact:\n* `stand_alone`:\n    - BA1 Allele frequency is >5% in Exome Sequencing Project, 1000 Genomes Project, or Exome Aggregation\n    Consortium\n* `strong`:\n    - BS1 Allele frequency is greater than expected for disorder\n    - BS2 Observed in a healthy adult individual for a recessive (homozygous), dominant (heterozygous), or X-linked\n    (hemizygous) disorder, with full penetrance expected at an early age\n    - BS3 Well-established in vitro or in vivo functional studies show no damaging effect on protein function or\n    splicing\n    - BS4 Lack of segregation in affected members of a family\n* `supporting`:\n    - BP1 Missense variant in a gene for which primarily truncating variants are known to cause disease\n    - BP2 Observed in trans with a pathogenic variant for a fully penetrant dominant gene/disorder or observed in cis\n    with a pathogenic variant in any inheritance pattern\n    - BP3 In-frame deletions/insertions in a repetitive region without a known function\n    - BP4 Multiple lines of computational evidence suggest no impact on gene or gene product (conservation,\n    evolutionary, splicing impact, etc.)\n    - BP5 Variant found in a case with an alternate molecular basis for disease\n    - BP6 Reputable source recently reports variant as benign, but the evidence is not available to the laboratory to\n    perform an independent evaluation\n    - BP7 A synonymous (silent) variant for which splicing prediction algorithms predict no impact to the splice\n    consensus sequence nor the creation of a new splice site AND the nucleotide is not highly conserved",
                                        "name": "EvidenceImpact",
                                        "symbols": [
                                            "very_strong",
                                            "strong",
                                            "moderate",
                                            "supporting",
                                            "stand_alone"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "doc": "The curation confidence.",
                                "name": "confidence",
                                "type": [
                                    "null",
                                    {
                                        "doc": "Confidence based on the Confidence Information Ontology\n\n* `CIO_0000029`: high confidence level http://purl.obolibrary.org/obo/CIO_0000029\n* `CIO_0000031`: low confidence level http://purl.obolibrary.org/obo/CIO_0000031\n* `CIO_0000030`: medium confidence level http://purl.obolibrary.org/obo/CIO_0000030\n* `CIO_0000039`: rejected http://purl.obolibrary.org/obo/CIO_0000039",
                                        "name": "Confidence",
                                        "symbols": [
                                            "low_confidence_level",
                                            "medium_confidence_level",
                                            "high_confidence_level",
                                            "rejected"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "doc": "The consistency status. This is applicable to complex evidences (e.g.: ClinVar)",
                                "name": "consistencyStatus",
                                "type": [
                                    "null",
                                    {
                                        "doc": "The consistency of evidences for a given phenotype. This aggregates all evidences for a given phenotype and all\n    evidences with no phenotype associated (e.g.: in silico impact prediction, population frequency).\n    This is based on the Confidence Information Ontology terms.\n\n* `CIO_0000033`: congruent, all evidences are consistent. http://purl.obolibrary.org/obo/CIO_0000033\n* `CIO_0000034`: conflict, there are conflicting evidences. This should correspond to a `VariantClassification` of\n`uncertain_significance` for mendelian disorders. http://purl.obolibrary.org/obo/CIO_0000034\n* `CIO_0000035`: strongly conflicting. http://purl.obolibrary.org/obo/CIO_0000035\n* `CIO_0000036`: weakly conflicting. http://purl.obolibrary.org/obo/CIO_0000036",
                                        "name": "ConsistencyStatus",
                                        "symbols": [
                                            "congruent",
                                            "conflict",
                                            "weakly_conflicting",
                                            "strongly_conflicting"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "doc": "Ethnicity",
                                "name": "ethnicity",
                                "type": {
                                    "doc": "This is the list of ethnics in ONS16\n\n* `D`:  Mixed: White and Black Caribbean\n* `E`:  Mixed: White and Black African\n* `F`:  Mixed: White and Asian\n* `G`:  Mixed: Any other mixed background\n* `A`:  White: British\n* `B`:  White: Irish\n* `C`:  White: Any other White background\n* `L`:  Asian or Asian British: Any other Asian background\n* `M`:  Black or Black British: Caribbean\n* `N`:  Black or Black British: African\n* `H`:  Asian or Asian British: Indian\n* `J`:  Asian or Asian British: Pakistani\n* `K`:  Asian or Asian British: Bangladeshi\n* `P`:  Black or Black British: Any other Black background\n* `S`:  Other Ethnic Groups: Any other ethnic group\n* `R`:  Other Ethnic Groups: Chinese\n* `Z`:  Not stated",
                                    "name": "EthnicCategory",
                                    "symbols": [
                                        "D",
                                        "E",
                                        "F",
                                        "G",
                                        "A",
                                        "B",
                                        "C",
                                        "L",
                                        "M",
                                        "N",
                                        "H",
                                        "J",
                                        "K",
                                        "P",
                                        "S",
                                        "R",
                                        "Z"
                                    ],
                                    "type": "enum"
                                }
                            },
                            {
                                "doc": "The penetrance of the phenotype for this genotype. Value in the range [0, 1]",
                                "name": "penetrance",
                                "type": [
                                    "null",
                                    {
                                        "doc": "Penetrance assumed in the analysis",
                                        "name": "Penetrance",
                                        "symbols": [
                                            "complete",
                                            "incomplete"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "doc": "Variable expressivity of a given phenotype for the same genotype",
                                "name": "variableExpressivity",
                                "type": [
                                    "null",
                                    "boolean"
                                ]
                            },
                            {
                                "doc": "Evidence description",
                                "name": "description",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "default": [],
                                "doc": "A list of additional properties in the form name-value.",
                                "name": "additionalProperties",
                                "type": {
                                    "items": {
                                        "doc": "A property in the form of name-value pair.\n    Names are restricted to ontology ids, they should be checked against existing ontologies in resources like\n    Ontology Lookup Service.",
                                        "fields": [
                                            {
                                                "doc": "The ontology term id or accession in OBO format ${ONTOLOGY_ID}:${TERM_ID} (http://www.obofoundry.org/id-policy.html)",
                                                "name": "id",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "The ontology term name",
                                                "name": "name",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Optional value for the ontology term, the type of the value is not checked\n        (i.e.: we could set the pvalue term to \"significant\" or to \"0.0001\")",
                                                "name": "value",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            }
                                        ],
                                        "name": "Property",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            },
                            {
                                "default": [],
                                "doc": "Bibliography",
                                "name": "bibliography",
                                "type": {
                                    "items": "string",
                                    "type": "array"
                                }
                            }
                        ],
                        "name": "EvidenceEntry",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "functionalScore",
            "type": [
                "null",
                {
                    "items": "Score",
                    "type": "array"
                }
            ]
        },
        {
            "name": "cytoband",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "chromosome",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "stain",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "name",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "start",
                                "type": [
                                    "null",
                                    "int"
                                ]
                            },
                            {
                                "name": "end",
                                "type": [
                                    "null",
                                    "int"
                                ]
                            }
                        ],
                        "name": "Cytoband",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "repeat",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "id",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "chromosome",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "start",
                                "type": [
                                    "null",
                                    "int"
                                ]
                            },
                            {
                                "name": "end",
                                "type": [
                                    "null",
                                    "int"
                                ]
                            },
                            {
                                "name": "period",
                                "type": [
                                    "null",
                                    "int"
                                ]
                            },
                            {
                                "name": "consensusSize",
                                "type": [
                                    "null",
                                    "int"
                                ]
                            },
                            {
                                "name": "copyNumber",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            },
                            {
                                "name": "percentageMatch",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            },
                            {
                                "name": "score",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            },
                            {
                                "name": "sequence",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "source",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "Repeat",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "drugs",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "name": "therapeuticContext",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "pathway",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "effect",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "association",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "status",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "evidence",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "bibliography",
                                "type": [
                                    "null",
                                    {
                                        "items": "string",
                                        "type": "array"
                                    }
                                ]
                            }
                        ],
                        "name": "Drug",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "default": null,
            "name": "additionalAttributes",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": {
                        "fields": [
                            {
                                "name": "attribute",
                                "type": {
                                    "type": "map",
                                    "values": "string"
                                }
                            }
                        ],
                        "name": "AdditionalAttribute",
                        "type": "record"
                    }
                }
            ]
        }
    ],
    "name": "VariantAnnotation",
    "namespace": "org.opencb.biodata.models.variant.avro",
    "type": "record"
}